echo Downloading latest from hg repository...
#set -x

BUILDDISTRIBUTION=$1
HGSOURCE='http://hg.uli-eckhardt.de/cecremote'

DEB_SOURCE_PACKAGE=$(egrep '^Source: ' debian/control | cut -f 2 -d ' ')
DISTRIBUTION=$(dpkg-parsechangelog | grep ^Distribution: | sed -e 's/^Distribution:\s*//')
VERSION_UPSTREAM=$(dpkg-parsechangelog | grep ^Version: | sed -e 's/^Version:\s*//' -e 's/\.hg.*//' -e 's/~*//g')
SUBVERSION=$(dpkg-parsechangelog | grep ^Version: | sed -e 's/^Version:\s*//' -e 's/~.*//g' | awk -F'-' '{ print $4 }' | sed -e 's/yavdr.*//g')
HG_SHA_OLD=$(hg log -r tip --template '{latesttagdistance}-{node|short}')

if [ -d ${DEB_SOURCE_PACKAGE} ] ; then
        rm -rf ${DEB_SOURCE_PACKAGE}
fi

if [ -d ".hg" ] ; then
	hg pull
	HGCHANGE=$(hg log -r tip --template "{desc|firstline}\n")
fi

VERSION_SOURCE=$(grep 'const char \*VERSION' cecremoteplugin.cc | sed -e 's/^.*=//g' -e 's/[";]//g' | awk {' print $1 '})
VERSION_DATE=$(/bin/date --utc +%0Y%0m%0d)
BUILD=$(/bin/date --utc +%H%M)

VERSION_FULL="${VERSION_SOURCE}.hg${VERSION_DATE}.${BUILD}"

# hg clone ${HGSOURCE} ${DEB_SOURCE_PACKAGE}

# cd ${DEB_SOURCE_PACKAGE}
# hg pull
# mkdir po
HG_SHA=$(hg log -r tip --template '{latesttagdistance}-{node|short}')
# cd ..

if [ "x${HG_SHA_OLD}" == "x${HG_SHA}" ] ; then
        echo "Keine neue Version von ${DEB_SOURCE_PACKAGE} gefunden: ${HG_SHA_OLD} = ${HG_SHA}"
fi

cp ./debian/changelog ./debian/changelog.${DISTRIBUTION}

if [ $DISTRIBUTION != 'trusty' ] ; then
        DISTRIBUTION='trusty'
else
        DISTRIBUTION='precise'
fi

if [ ! -z $BUILDDISTRIBUTION ] ; then
	DISTRIBUTION=$BUILDDISTRIBUTION
fi

cp ./debian/changelog.${DISTRIBUTION} ./debian/changelog

test=$(grep ${HG_SHA} debian/changelog | grep $DISTRIBUTION)
if [ $? -eq 0 ] ; then
	SUBVERSION=$((SUBVERSION +1))
else
	SUBVERSION=0
fi

echo "${VERSION_FULL}-${SUBVERSION}yavdr0.~${DISTRIBUTION}"

DEBSRCPKGFILE="./${DEB_SOURCE_PACKAGE}_${VERSION_FULL}.orig.tar.xz"
if [ ! -f ${DEBSRCPKGFILE} ] ; then
	echo $DEBSRCPKGFILE
	cd ..
	tar --exclude=.hg --exclude=debian -cJf ${DEBSRCPKGFILE} ${DEB_SOURCE_PACKAGE}
	cd -
fi
# rm -rf ${DEB_SOURCE_PACKAGE}

dch -b -D ${DISTRIBUTION} -v "${VERSION_FULL}-${SUBVERSION}yavdr0~${DISTRIBUTION}" "${HGCHANGE}"

exit 0
